GET api/lockapi/locksbycustomer/{customerId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "164aa955-e074-4e25-a4ef-a8780f936515",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "ca989bf7-a745-4221-9b03-1e57f355fc30",
"guard_id": "de214b97-a0ca-4d31-bcda-74d1e2795272",
"active": true
},
{
"id": "164aa955-e074-4e25-a4ef-a8780f936515",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "ca989bf7-a745-4221-9b03-1e57f355fc30",
"guard_id": "de214b97-a0ca-4d31-bcda-74d1e2795272",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>ca989bf7-a745-4221-9b03-1e57f355fc30</distribution_id>
<guard_id>de214b97-a0ca-4d31-bcda-74d1e2795272</guard_id>
<id>164aa955-e074-4e25-a4ef-a8780f936515</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>ca989bf7-a745-4221-9b03-1e57f355fc30</distribution_id>
<guard_id>de214b97-a0ca-4d31-bcda-74d1e2795272</guard_id>
<id>164aa955-e074-4e25-a4ef-a8780f936515</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>